<div class="card mb-3" *ngIf="post">
    <div class="card-header">
        {{post.title.rendered}}
    </div>

    <div class="row no-gutters">
        <div class="col-md-4">
            <img *ngIf="post['_embedded']['wp:featuredmedia']"
                 src="{{post['_embedded']['wp:featuredmedia'][0]['media_details'].sizes['medium'].source_url}}"
                 class="card-img"/>
        </div>
        <div class="col-md-8">
            <div class="card-body">
                <h5 class="card-title">Product Name: {{post.title.rendered}}</h5>
                <p class="card-text" [innerHTML]="post.content.rendered"></p>
                <p class="card-text">{{post.acf['price'] | currency: 'Rs.'}}</p>
                <form class="form-group" novalidate
                      [formGroup]="quantity"
                      (ngSubmit)="addToCart(post.id)">
                    <label for="quantity">Quantity</label>
                    <input type="number" id="quantity"
                           min="1"
                           formControlName="quantity"
                           class="form-control w-25"
                           [ngClass]="{'is-invalid': (quantity.get('quantity').touched ||
                                                quantity.get('quantity').dirty) &&
                                                !quantity.get('quantity').valid}"/>
                    <span class="invalid-feedback">
                        <span *ngIf="quantity.get('quantity').errors?.min">
                            Quantity must be 1 or greater than 1.
                        </span>
                    </span>
                    <button class="btn btn-primary"
                            style="width:150px; margin-top: 20px"
                            [title]="quantity.valid ? 'Save your entered data' : 'Disabled until the quantity is valid'"
                            [disabled]="!quantity.valid">
                        Add to Cart <i class="fa fa-shopping-cart"></i>
                    </button>
                </form>
                <p class="card-text"><small class="text-muted">{{post.date| dateAgo}}</small></p>
                <button class="btn btn-outline-secondary mr-3"
                        style="width:80px"
                        (click)="onBack()">
                    <i class="fa fa-chevron-left"></i> Back
                </button>
            </div>
        </div>
    </div>
</div>